package com.tzld.piaoquan.risk.control.service.impl;

import com.tzld.piaoquan.risk.control.config.LoginUserContext;
import com.tzld.piaoquan.risk.control.dao.mapper.UserBaseMapper;
import com.tzld.piaoquan.risk.control.model.dto.Page;
import com.tzld.piaoquan.risk.control.model.dto.WorkWechatUserInfo;
import com.tzld.piaoquan.risk.control.model.po.UserBase;
import com.tzld.piaoquan.risk.control.model.po.UserBaseExample;
import com.tzld.piaoquan.risk.control.service.WorkWechatService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

@Slf4j
@Service
public class WorkWechatServiceImpl implements WorkWechatService {

    @Autowired
    private UserBaseMapper userBaseMapper;

    @Override
    public Page<WorkWechatUserInfo> findUserInfoList(int pageSize, int currentPage) {

        Page<WorkWechatUserInfo> page = new Page<>();
        Long userId = LoginUserContext.getUserId();

        UserBaseExample userBaseExample = new UserBaseExample();
        userBaseExample.setPage(new Page<UserBase>(currentPage, pageSize));
        List<UserBase> userBases = userBaseMapper.selectByExample(userBaseExample);
        if (CollectionUtils.isNotEmpty(userBases)) {
            List<String> vids = userBases.stream().map(UserBase::getVid).distinct().collect(Collectors.toList());
            UserCorpExample userCorpExample = new UserCorpExample();
        }

        return page;
    }
}
