package com.tzld.piaoquan.risk.control.job;

import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 *
 * @author supeng
 */
@Slf4j
@Component
public class DemoJob {

    @XxlJob("demoHandler")
    public ReturnT<String> demoHandler(String params) {
        XxlJobLogger.log("demoHandler start");
        try {
            //TODO
        } catch (Exception e) {
            XxlJobLogger.log("demoHandler error", e);
            return ReturnT.FAIL;
        } finally {
            XxlJobLogger.log("demoHandler end");
        }
        return ReturnT.SUCCESS;
    }
}
